<?php
/**
    Explorer : Plugin for GuppY 4.5 and 4.6
    under CeCILL v2 Free Software Agreement
    Initial version by Kimai: http://michaeldouchin.free.fr/demo/
    Rewrited, secured and enhanced by Hpsam : http://www.hpsam.info/
*/
if (stristr($_SERVER['SCRIPT_NAME'], 'explorer.inc')) {
    header('location:../index.php');
    die();
}

// Find plugin name (in case of duplication)
$explorer_folder = explode('/', str_replace('\\', '/', dirname(__FILE__)));
$explorer_folder = $explorer_folder[count($explorer_folder) - 1];
$explorer_name   = ucfirst($explorer_folder);

include(CHEMIN . 'plugins/' . $explorer_folder . '/lang/' . $lng . '-exp-admin.inc');
include(CHEMIN . 'admin/plugins/funcplug.inc');

if (is_file(CHEMIN . DATAREP . 'plugins/' . $explorer_folder . '/configuration.inc')) {
    include(CHEMIN . DATAREP . 'plugins/' . $explorer_folder . '/configuration.inc');
} else {
    $exp_name = array($explorer_name, $explorer_name);
    $exp_root = 'file/';
    $exp_message = array(
        '<ul><li>Pour ouvrir les dossiers, cliquez sur l\'image du dossier.</li><li>Pour ouvrir ou tlcharger un fichier, cliquez sur le nom du fichier.</li><li>Vous pouvez revenir  l\'un des dossiers prcdent en cliquant sur la petite image devant le nom du dossier dsir</li>',
        '<ul><li>To open a folder, click on the folder icone.</li><li>To open or download a file, click on the file name.</li><li>You can go back to one of the parent folder by clicking on the small folder icon in front of the  chosen folder name.</li>'
    );
}

$exp_root_form = isset($_POST['exp_root_form']) ? strip_tags($_POST['exp_root_form']) : '/file/';
$exp_message0  = isset($_POST['exp_message0']) ? $_POST['exp_message0'] : '';
$exp_message1  = isset($_POST['exp_message1']) ? $_POST['exp_message1'] : '';

// register or unregister the plugin
if (isset($exp_register)) {
    if (!PluginRegistered($explorer_folder)) {
        RegisterPlugin($explorer_folder);
    }
} elseif (isset($exp_unregister)) {
    if (PluginRegistered($explorer_folder)) {
        UnregisterPlugin($explorer_folder);
    }
}

// Save configuration
if ($exp_regit == 1) {
    $mettre = "<?php
\$exp_name[0] = stripslashes(\"$exp_name0\"); // Icon and title text
\$exp_name[1] = stripslashes(\"$exp_name1\"); // Icon and title text
\$exp_root = stripslashes(\"$exp_root_form\");            // Root folder
\$exp_message[0] = stripslashes(\"$exp_message0\"); // Top message
\$exp_message[1] = stripslashes(\"$exp_message1\"); // Top message
";
  WriteFullDB(CHEMIN . DATAREP . 'plugins/' . $explorer_folder . '/configuration.inc', $mettre);
  include(CHEMIN . DATAREP . 'plugins/' . $explorer_folder . '/configuration.inc');
}

include(CHEMIN . 'inc/hpage.inc');
htable(sprintf($exp_admin1, $explorer_name), "100%");

echo '<p>' . $exp_admin3 . '</p><hr />
<p align="center">
<a href="admin.php?lng=' . $lng . '">' . $admin22 . '</a> ||
<b><a href="admin.php?lng=' . $lng . '&amp;logout=1">' . $admin19 . '</a></b></p><hr />
';

include (CHEMIN . 'admin/plugins/' . $explorer_folder . '/version/update.inc');
if ($version['ok'] != "") {
    echo '<p style="color:green; font-weight:bold; text-align:center;">' . $version['ok'] . "</p>\n";
}
if ($version['errors'] != "") {
    echo '<p style="color:red; font-weight:bold; text-align:center;">' . $version['errors'] . "</p>\n";
}

echo '<u>' . $exp_admin4 . '</u><br />
' . $exp_admin5 . '<br /><br />
<u>' . $exp_admin6 . '</u>
<a href=' . CHEMIN . 'plugins/' . $explorer_folder . '/explorer.php?lng=' . $lng . '
 target="_blank">' . $explorer_name . '</a></p>
';

echo '<form method="post" id="exp_register" action="admin.php?lng=' . $lng . '&amp;pg=plugin&amp;plug='. $explorer_folder . '/explorer" >
<input type="submit" name="exp_register"   value="' . $exp_admin9 . '" />
<input type="submit" name="exp_unregister" value="' . $exp_admin10 . '" />
</form><br />
';
if (PluginRegistered($explorer_folder)) {
    echo $exp_admin11;
} else {
    echo $exp_admin12;
}

echo '<hr />
<form  method="post" id="exp_conf" action="admin.php?lng=' . $lng . '&amp;pg=plugin&amp;plug=' . $explorer_folder . '/explorer">
<input type="hidden" name="exp_regit" value="1" />
';
echo $exp_admin13 . '<br />
<input name="exp_root_form" class="texte" type="text" value="' . (empty($exp_root) ? 'file/' : $exp_root) . '" size="50" />
<br /><br />
';
echo $exp_admin14 . '<br />
<img src="../inc/lang/' . $lang[0] . '.gif" border=0 alt="' . $lang[0] . '" /><br />
<input name="exp_name0" class="texte" type="text" value="' . $exp_name[0] . '" size="50" />
';
if (!empty($lang[1])) {
    echo '<br />
<img src="../inc/lang/' . $lang[1] . '.gif" border=0 alt="' . $lang[1] . '" /><br />
<input name="exp_name1" class="texte" type="text" value="' . $exp_name[1] . '"size="50" />
';
} else {
    echo '<input name="exp_name1" type="hidden" value="' . $exp_name[1] . '" />';
}

echo '<br /><br />
';

echo $exp_admin15 . '<br />
<img src="../inc/lang/' . $lang[0] . '.gif" border=0 alt="' . $lang[0] . '" /><br />
<textarea name="exp_message0"  cols="50" rows="10">' . $exp_message[0] . '</textarea>
';
if (!empty($lang[1])) {
    echo '<br />
<img src="../inc/lang/' . $lang[1] . '.gif" border=0 alt="' . $lang[1] . '" /><br />
<textarea name="exp_message1"  cols="50" rows="10">' . $exp_message[1] . '</textarea>
';
} else {
    echo '<input name="exp_message1" type="hidden" value="' . $exp_message[1] . '" />';
}
echo '<br /><br />
';
echo '<div align=center>
<input type="submit" name="root_submit" value="Ok">
</div>
</form>
';

echo '<hr />
<p align="center">
<a href="admin.php?lng=' . $lng . '">' . $admin22 . '</a> ||
<b><a href="admin.php?lng=' . $lng . '&amp;logout=1">' . $admin19 . '</a></b></p>';

btable();
include(CHEMIN."inc/bpage.inc");
